Products
Update Product
Updates an existing product's information.
Authorization
api_key api-key<token>
In: header
Path Parameters
productId*string
The product ID from the URL path
Request Body
application/json
Update data including tenantAlias for verification
groupId?string
name?string
active?boolean
description?string
metadata?
Construct a type with a set of properties K of type T
expiresAt?string
tenantAlias*string
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.paynowpro.com/api/v1/products/string" \ -H "Content-Type: application/json" \ -d '{ "tenantAlias": "string" }'{
"id": "string",
"groupId": "string",
"tenantAlias": "string",
"name": "string",
"active": true,
"description": "string",
"metadata": {
"property1": null,
"property2": null
},
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}